summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorVicențiu Ciorbaru <vicentiu@mariadb.org>2017-01-16 04:53:57 +0200
committerVicențiu Ciorbaru <vicentiu@mariadb.org>2017-01-16 04:53:57 +0200
commit5ac71d4464f556f26c81172cb0fef679389beda8 (patch)
tree5ea8b9104fb257ac546337a603dfc1beb8192ad6 /scripts
parent8e15768731c52b6bbb29d7bfe27bdd71c025a3a3 (diff)
parent5fc1ba604e27b7d9eaa2977ef5b0c180f6f62565 (diff)
downloadmariadb-git-5ac71d4464f556f26c81172cb0fef679389beda8.tar.gz
Merge remote-tracking branch '10.0-galera' into 10.1
Diffstat (limited to 'scripts')
-rw-r--r--scripts/mysqld_safe.sh15
1 files changed, 7 insertions, 8 deletions
diff --git a/scripts/mysqld_safe.sh b/scripts/mysqld_safe.sh
index 4decf4120c5..8faa11467d4 100644
--- a/scripts/mysqld_safe.sh
+++ b/scripts/mysqld_safe.sh
@@ -208,13 +208,6 @@ shell_quote_string() {
echo "$1" | sed -e 's,\([^a-zA-Z0-9/_.=-]\),\\\1,g'
}
-check_executable_location() {
- if test "$unsafe_my_cnf" = 1 -a "$unrecognized_handling" != collect; then
- log_error "Cannot accept $1 from a config file, when my.cnf is in the datadir"
- exit 1
- fi
-}
-
wsrep_pick_url() {
[ $# -eq 0 ] && return 0
@@ -298,6 +291,13 @@ wsrep_recover_position() {
return $ret
}
+check_executable_location() {
+ if test "$unsafe_my_cnf" = 1 -a "$unrecognized_handling" != collect; then
+ log_error "Cannot accept $1 from a config file, when my.cnf is in the datadir"
+ exit 1
+ fi
+}
+
parse_arguments() {
for arg do
val=`echo "$arg" | sed -e "s;--[^=]*=;;"`
@@ -997,7 +997,6 @@ else
exec 2>&-
fi
-
# maximum number of wsrep restarts
max_wsrep_restarts=0